Package com.collibra.dgc.core.api.dto.instance.comment

# Class FindCommentsRequest

Object
PagedRequest
FindCommentsRequest

All Implemented Interfaces:
  `Serializable`

public class FindCommentsRequest extends PagedRequest
The search criteria for comments.

Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored.

The returned comments satisfy all constraints that are specified in this search criteria.

By default a result containing 1000 comments is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindCommentsRequest.Builder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindCommentsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindCommentsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getBaseResourceId()`
  The ID of the resource which the searched comments refer to.
  `UUID`
  `getParentId()`
  The ID of the comment which the reply comments should be searched for.
  `Boolean`
  `getResolved()`
  Whether the searched comments should be resolved.
  `Boolean`
  `getRootComment()`
  Whether the searched comments should be root comments (not reply comments).
  `SortOrder`
  `getSortOrder()`
  The order of sorting on the date the comment was created.
  `UUID`
  `getUserId()`
  The ID of the user.
  `Boolean`
  `getUserThreads()`
  Specifies whether to search for root comments created by or mentioning the user `userId`, or root comments with replies created by or mentioning the user `userId`.
  `int`
  `hashCode()`
  `void`
  `setBaseResourceId(UUID baseResourceId)`
  The ID of the resource which the searched comments refer to.
  `void`
  `setParentId(UUID parentId)`
  The ID of the comment which the reply comments should be searched for.
  `void`
  `setResolved(Boolean resolved)`
  Whether the searched comments should be resolved.
  `void`
  `setRootComment(Boolean rootComment)`
  Whether the searched comments should be root comments (not reply comments).
  `void`
  `setSortOrder(SortOrder sortOrder)`
  The order of sorting on the date the comment was created.
  `void`
  `setUserId(UUID userId)`
  The ID of the user.
  `void`
  `setUserThreads(Boolean userThreads)`
  Specifies whether to search for root comments created by or mentioning the user `userId`, or root comments with replies created by or mentioning the user `userId`.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindCommentsRequest

    public FindCommentsRequest()

- ## Method Details

  - ### builder

    public static FindCommentsRequest.Builder builder()

  - ### getParentId

    public UUID getParentId()
    The ID of the comment which the reply comments should be searched for.

  - ### getUserId

    public UUID getUserId()
    The ID of the user. By default, filters comments to include only those created by this user.

  - ### getBaseResourceId

    public UUID getBaseResourceId()
    The ID of the resource which the searched comments refer to.

  - ### getRootComment

    public Boolean getRootComment()
    Whether the searched comments should be root comments (not reply comments).

  - ### getResolved

    public Boolean getResolved()
    Whether the searched comments should be resolved.

  - ### getUserThreads

    public Boolean getUserThreads()
    Specifies whether to search for root comments created by or mentioning the user `userId`, or root comments with replies created by or mentioning the user `userId`.

  - ### getSortOrder

    public SortOrder getSortOrder()
    The order of sorting on the date the comment was created.

  - ### setParentId

    public void setParentId(UUID parentId)
    The ID of the comment which the reply comments should be searched for.

  - ### setUserId

    public void setUserId(UUID userId)
    The ID of the user. By default, filters comments to include only those created by this user.

  - ### setBaseResourceId

    public void setBaseResourceId(UUID baseResourceId)
    The ID of the resource which the searched comments refer to.

  - ### setRootComment

    public void setRootComment(Boolean rootComment)
    Whether the searched comments should be root comments (not reply comments).

  - ### setResolved

    public void setResolved(Boolean resolved)
    Whether the searched comments should be resolved.

  - ### setUserThreads

    public void setUserThreads(Boolean userThreads)
    Specifies whether to search for root comments created by or mentioning the user `userId`, or root comments with replies created by or mentioning the user `userId`.

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)
    The order of sorting on the date the comment was created.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`